Docs Kling /kling/v1/videos/motion-control
API reference

motion control

POST/kling/v1/videos/motion-control

Body Parametersapplication/json

callback_url string

Callback URL invoked on task completion

character_orientation* string

Character orientation vs image or video enum: image, video image: match image (ref video ≤10s) video: match video (ref video ≤30s)

element_list array

subject reference list

items
object object
external_task_id string

Custom external task ID for business-side correlation

image_url* string

Reference image; people/background follow this image. Requirements: realistic or near-realistic cartoon proportions, avoid occlusion; person area >5%; Base64 or reachable URL; .jpg/.jpeg/.png; max 10MB; min side 300px; aspect 1:2.5–2.5:1

keep_original_sound string

whether to keep original video audio enum: yes, no yes: keep original audio no: drop original audio

mode* string

Video generation mode enum: std, pro std: standard / cost-effective pro: expert / higher quality

model_name string

default kling-v2-6 kling-v3

prompt string

text prompt, may include positive and negative descriptions use the prompt to add elements / camera moves, etc., see Kling motion-control guide max 2500 characters https://docs.qingque.cn/d/home/eZQAl5y8xNSkr0iYUS8-bpGvP?identityId=2Cn18n4EIHT#section=h.xtmfpd68o18

video_url* string

Video requirements: exactly one realistic full/upper-body person with head, avoid occlusion; clear motion without flips/handstands; single take, person stays in frame. .mp4/.mov; ≤100MB; sides 340–3850px. Min 3s; max 30s if orientation matches video, 10s if matches image. Content validated.

watermark_info array

whether to also generate a watermarked result

items
object object

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"character_orientation": "video",
3"image_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-3.png",
4"keep_original_sound": "yes",
5"mode": "pro",
6"model_name": "kling-v3",
7"prompt": "女孩穿着灰色宽松T恤和牛仔短裤",
8"video_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/dance.mp4"
9}
Code Sample cURL
1curl -X POST "https://api.digislash.com/kling/v1/videos/motion-control" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"character_orientation": "video",
6"image_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-3.png",
7"keep_original_sound": "yes",
8"mode": "pro",
9"model_name": "kling-v3",
10"prompt": "女孩穿着灰色宽松T恤和牛仔短裤",
11"video_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/dance.mp4"
12}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}